
if (Test-Path -Path "Tor\") {
    rm -r Tor
}

Invoke-WebRequest -Uri https://git.openprivacy.ca/openprivacy/buildfiles/raw/branch/master/tor/tor-0.4.8.13-windows-x86_64.zip -OutFile tor.zip

if ((Get-FileHash tor.zip -Algorithm sha512).Hash -ne '6887be49f1251ffc41c58c2de3d69f0cf053f3316fdb249b379ad6b1293a02f5a8330d5a3dcf5399261782973de57e6eec66398dd0ad35a5f88d69e0029c0df4' ) { Write-Error 'tor.zip sha512sum mismatch' }

Expand-Archive -Path tor.zip -DestinationPath Tor
